#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	POM
Summary:	Pod::POM - POD Object Model
Summary(pl.UTF-8):	Pod::POM - Obiektowy model POD (POD Object Model)
Name:		perl-Pod-POM
Version:	2.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a2983236abdcf7842d93f10f9132e46c
URL:		http://search.cpan.org/dist/Pod-POM/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-File-Slurper >= 0.004
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Text-Diff
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a parser to convert Pod documents into a simple
object model form known hereafter as the Pod Object Model.  The object
model is generated as a hierarchical tree of nodes, each of which
represents a different element of the original document.  The tree can
be walked manually and the nodes examined, printed or otherwise
manipulated.  In addition, Pod::POM supports and provides view objects
which can automatically traverse the tree, or section thereof, and
generate an output representation in one form or another.

%description -l pl.UTF-8
Ten moduł jest implementacją parsera konwertującego dokumenty Pod na
prostą postać modelu obiektowego, znaną jako Pod Object Model. Model
obiektowy jest generowany jako hierarchiczne drzewo węzłów, z których
każdy reprezentuje inny element oryginalnego dokumentu. Po drzewie
można się przemieszczać ręcznie, sprawdzając, wypisując lub w inny
sposób obrabiając węzły. Oprócz tego, Pod::POM obsługuje obiekty
widoku, które mogą automatycznie przemieszczać się po drzewie lub jego
części i generować na wyjściu reprezentację w jakiejś formie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md TODO
%attr(755,root,root) %{_bindir}/podlint
%attr(755,root,root) %{_bindir}/pom2
%attr(755,root,root) %{_bindir}/pomdump
%{perl_vendorlib}/Pod/POM.pm
%{perl_vendorlib}/Pod/POM
%{_mandir}/man1/podlint.1p*
%{_mandir}/man1/pom2.1p*
%{_mandir}/man1/pomdump.1p*
%{_mandir}/man3/Pod::POM*.3pm*
%changelog
* Sat Jan 09 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Pod-POM.git;a=log;h=master

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> cc8b970
- updated to 2.01

* Thu Feb 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 3a7681b
- updated to 0.27

* Wed Oct 07 2009 amateja <amateja@pld-linux.org> a029552
- updated to 0.25

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9de930f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 85289d3
- converted to UTF-8

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> 1f4d694
- ver. 0.17

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4834ec8
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 51830f8
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 032bfad
- fixed perl-devel BR

* Thu May 06 2004 ankry <ankry@pld-linux.org> 17ae349
- license fix, cosmetics

* Wed May 05 2004 ankry <ankry@pld-linux.org> 693cd4f
- tests added, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> f89c4ae
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 6ac3c3d
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 691cda0
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> bae0b9d
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 0f4f2ae
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 4eb64fc
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 116a338
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> b628d39
- massive attack: change CPAN URLs

* Fri Jul 12 2002 Jakub Bogusz <qboosh@pld-linux.org> 4859d23
- new %%doc and cosmetics

